/*----------------------------------------------------------------------------------------------------------------*/
/* IL 2-Nov-2018                                                                                                  */
/* Migration of USER_TODO_LIST table for the approval extensions done in 18.0                                     */
/* Only update the not deleted records to avoid unique index violation in case the old setup was replaced with    */ 
/* a new (correct) one already.                                                                                   */
/*----------------------------------------------------------------------------------------------------------------*/
IF NOT EXISTS (SELECT 1 FROM webcenter.profile_defaults WHERE defaultname='MIGRATION_APPROVER_TODO_LIST')
BEGIN
	
UPDATE webcenter.User_ToDo_List
SET Approver_Id = Group_ID
WHERE Approver_Id is null AND Group_ID is not null and deleted = 0;

-- add a flag to profile_defaults table to indicate migration is complete
INSERT INTO webcenter.profile_defaults (DefaultName, Value) VALUES ( 'MIGRATION_APPROVER_TODO_LIST',  '1');

END

