/*----------------------------------------------------------------------------------------------------------------*/
/* IL 2-Nov-2018                                                                                                  */
/* Migration of USER_TODO_LIST table for the approval extensions done in 18.0                                     */
/* Only update the not deleted records to avoid unique index violation in case the old setup was replaced with    */ 
/* a new (correct) one already.                                                                                   */
/*----------------------------------------------------------------------------------------------------------------*/
DECLARE
  ct NUMBER;
BEGIN
  SELECT COUNT(1) into ct from Profile_Defaults where DefaultName='MIGRATION_APPROVER_TODO_LIST';
  IF (ct = 0) THEN
	UPDATE User_ToDo_List
	SET Approver_Id = Group_ID
	WHERE Approver_Id is null AND Group_ID is not null and deleted = 0 
	AND EXISTS (SELECT * FROM groups WHERE deleted = 0 AND id = Group_ID);
		
	-- add a flag to profile_defaults table to indicate migration is complete
	INSERT INTO profile_defaults (DefaultName, Value) VALUES ( 'MIGRATION_APPROVER_TODO_LIST',  '1');
  END IF;
END;

